Bug 159917 - CVE-2005-0756 x86_64 crash (ptrace-check-segment)
Summary: CVE-2005-0756 x86_64 crash (ptrace-check-segment)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,source=vendorsec,pub...
Keywords: Security
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-09 09:33 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 15:18:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Mark J. Cox 2005-06-09 09:33:53 UTC
The following upstream patch fixes canonical checking for segment registers in
ptrace.  This allowed user programs to set a non canonical segment which would
cause oopses in the kernel later.
http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=f6b8d4778c04148729cc0b0dcd335a4411c44276

Comment 5 Ernie Petrides 2005-06-10 21:53:57 UTC
Reassigning this to myself.


Comment 6 Ernie Petrides 2005-06-11 01:43:58 UTC
Patch posted for review on 10-Jun-2005.

Comment 7 Mark J. Cox 2005-06-13 09:29:11 UTC
Actually CAN-2005-0756, fixing CVE name

Comment 9 Ernie Petrides 2005-06-15 01:06:07 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.8.EL).


Comment 15 Red Hat Bugzilla 2005-09-28 15:18:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.